Package org.apache.sling.feature.maven.mojos.selection

# Class IncludeExcludeMatcher

java.lang.Object
org.apache.sling.feature.maven.mojos.selection.IncludeExcludeMatcher

public class IncludeExcludeMatcher extends Object

## Constructor Summary

Constructors
Constructor
Description
`IncludeExcludeMatcher(List<String> incudes, List<String> excludes, String separator, boolean separatorRequired)`

## Method Summary

Modifier and Type
Method
Description
`String`
`matches(org.apache.sling.feature.ArtifactId id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludeExcludeMatcher

public IncludeExcludeMatcher(List<String> incudes, List<String> excludes, String separator, boolean separatorRequired) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

## Method Details

### matches

public String matches(org.apache.sling.feature.ArtifactId id)